# SIPSubscribe Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPSubscribe:

List of all members.

## Public Types

enum | PredefinedPackages { MessageSummary, Presence, NumPredefinedPackages }

## Public Member Functions

| SIPSubscribe (SIPEndPoint &ep, OpalTransport &trans, const PStringList &routeSet, const PString &to, const PString &from, const PString &id, unsigned cseq, const Params &params)

## Static Public Member Functions

static PredefinedPackages | GetEventPackage (const PString &name)
static PString | GetEventPackageName (PredefinedPackages pkg)

## Classes

struct | Params

## Member Enumeration Documentation

enum SIPSubscribe::PredefinedPackages

Valid types for a presence event

Enumerator:

  MessageSummary |
  Presence |
  NumPredefinedPackages |

## Constructor & Destructor Documentation

SIPSubscribe::SIPSubscribe | ( | SIPEndPoint & | ep,
|  | OpalTransport & | trans,
|  | const PStringList & | routeSet,
|  | const PString & | to,
|  | const PString & | from,
|  | const PString & | id,
|  | unsigned | cseq,
|  | const Params & | params |
| ) |  |  |

Valid types for a MWI

## Member Function Documentation

static PredefinedPackages SIPSubscribe::GetEventPackage | ( | const PString & | name | ) | `[static]`

static PString SIPSubscribe::GetEventPackageName | ( | PredefinedPackages | pkg | ) | `[static]`

The documentation for this class was generated from the following file:

- sippdu.h